Subject: Re: [MMUSIC] Bundle - Last Chance to comment on changes in Bundle (draft-ietf-mmusic-sdp-bundle-negotiation-42) - Pull Request

From: Christer Holmberg <[email-masked]>
Date: Fri, 1 Dec 2017 11:27:45 +0000

Hi,

I created a Pull Request, that will be updated based on comments received
during the last (hopefully…) WG review of the document.

https://github.com/cdh4u/draft-sdp-bundle/pull/48

Regards,

Christer

On 30/11/17 14:33, "mmusic on behalf of Christer Holmberg"
<[email-masked] on behalf of [email-masked]>
wrote:

>Hi,
>
>>>Greetings
>>> 
>>> At this point, there are no further outstanding technical issues in
>>> bundle and we believe the authors have addressed all the editorial
>>> comments that can reasonably be addressed. We are planning to move
>>>ahead 
>>> with publication request of
>>> 
>>> https://tools.ietf.org/html/draft-ietf-mmusic-sdp-bundle-negotiation-42
>>> 
>>> unless we hear any objections from anybody, and hence this will be your
>>> last chance to comment on the recent changes.
>>
>>I really wanted to be satisfied with this. But I still have a problem
>>with the language.
>>
>>Christer has definitely improved things by introducing the notion of
>>"suggested offerer BUNDLE address". But this terminology is only used in
>>passing in the text, and lacks a definition. And "Offerer BUNDLE
>>address" is still the term that is defined and used. And it is used in
>>ways that conflict with its definition.
>>
>>I propose that the terminology be revised, and then some minor tweaks
>>the the other text be updated to use it. I think the following
>>definitions will work:
>>
>>    Suggested Offerer BUNDLE address: the address:port combination in the
>>    "m=" section identified by the Offerer BUNDLE-tag.
>>
>>    Offerer BUNDLE address: the address:port combination in the "m="
>>    section of the offer that corresponds (per [RFC3264]) to the "m="
>>    section of the answer that is identified  by the Answerer BUNDLE-tag.
>
>I don¹t think that works as suggested.
>
>³suggested² is only used when a new offerer BUNDLE address is to be
>negotiated. In subsequent offers, once the BUNDLE group has been created,
>it is not ³suggested² anymore:
>
>"When an offerer generates a subsequent offer (i.e., a BUNDLE group
>   has previously been negotiated), it MUST assign the previously
>   selected offer BUNDLE address²
>
>
>So, we can fore sure say that the offerer BUNDLE address is selected by
>the answerer, but when used in subsequent offers it has nothing to do with
>the answerer BUNDLE-tag.
>
>Perhaps something like:
>
>	Offerer BUNDLE address: once a suggested offerer BUNDLE address has been
>selected by the answerer, the address:port combination used by the offerer
>for sending and receiving media.
>
>
>	Suggested Offerer BUNDLE address: before an offerer BUNDLE address has
>been selected by the answerer, or when the offerer wants to change a
>previously selected offerer BUNDLE address, the address:port combination
>	that the offerer wants to use for sending and receiving media. While
>suggested by the offerer, the selection of the offerer BUNDLE address is
>done by the answerer.
>
>Do we really need to talk about the BUNDLE-tags in the definition section?
>How the BUNDLE addresses are identified is described in the spec.
>
>
>
>Regards,
>
>Christer
>
>_______________________________________________
>mmusic mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/mmusic

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 1 Dec 2017 13:16:30 -0500

> https://github.com/cdh4u/draft-sdp-bundle/pull/48

Looks good.

	Thanks,
	Paul